Update a user's studio QR code
Required scope: studio.write
This method requires authentication
Update the title, link, or display settings of a studio QR code owned by the authenticated user.
curl -X PATCH \ -H "Authorization: Bearer [access token]" \ -H "Content-Type: application/json" \ -d '{"title": "Updated Title", "link": "https://example.com/new"}' \ https://api.restream.io/v2/user/studio/qr-codes/{qrCodeId}
qrCodeId
title
link
shouldShowTitle
isDefault
{ "title": "Updated Title", "link": "https://example.com/new", "shouldShowTitle": true, "isDefault": false }
{ "id": "e5f6a7b8-c9d0-1234-ef56-789012345678", "brandId": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "title": "Updated Title", "link": "https://example.com/new", "shouldShowTitle": true }
{ "error": { "statusCode": 404, "status": 404, "code": 404, "message": "StudioQrCodeNotFound", "name": "studio_qr_code_not_found" } }
{ "error": { "statusCode": 401, "status": 401, "code": 401, "message": "Invalid token: access token is invalid", "name": "invalid_token" } }